<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_PackageElements StructType
 * @subpackage Structs
 */
class JP_PackageElements extends AbstractStructBase
{
    /**
     * The PackageElement
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PackageElement
     */
    public $PackageElement;
    /**
     * Constructor method for JP_PackageElements
     * @uses JP_PackageElements::setPackageElement()
     * @param \StructType\JP_PackageElement $packageElement
     */
    public function __construct(\StructType\JP_PackageElement $packageElement = null)
    {
        $this
            ->setPackageElement($packageElement);
    }
    /**
     * Get PackageElement value
     * @return \StructType\JP_PackageElement|null
     */
    public function getPackageElement()
    {
        return $this->PackageElement;
    }
    /**
     * Set PackageElement value
     * @param \StructType\JP_PackageElement $packageElement
     * @return \StructType\JP_PackageElements
     */
    public function setPackageElement(\StructType\JP_PackageElement $packageElement = null)
    {
        $this->PackageElement = $packageElement;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_PackageElements
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
